Max CVSS 6.5 Min CVSS 2.1 Total Count2
IDCVSSSummaryLast (major) updatePublished
CVE-2020-2203 4.3
A cross-site request forgery vulnerability in Jenkins Fortify on Demand Plugin 5.0.1 and earlier allows attackers to connect to the globally configured Fortify on Demand endpoint using attacker-specified credentials IDs.
16-07-2020 - 18:00 02-07-2020 - 15:15
CVE-2020-2208 4.0
Jenkins Slack Upload Plugin 1.7 and earlier stores a secret unencrypted in job config.xml files on the Jenkins master where it can be viewed by users with Extended Read permission, or access to the master file system.
15-07-2020 - 15:27 02-07-2020 - 15:15
CVE-2020-2216 4.0
A missing permission check in Jenkins Zephyr for JIRA Test Management Plugin 1.5 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified HTTP server using attacker-specified username and password.
15-07-2020 - 15:24 02-07-2020 - 15:15
CVE-2020-2204 5.5
A missing permission check in Jenkins Fortify on Demand Plugin 5.0.1 and earlier allows attackers with Overall/Read permission to connect to the globally configured Fortify on Demand endpoint using attacker-specified credentials IDs.
15-07-2020 - 15:13 02-07-2020 - 15:15
CVE-2020-2202 4.0
A missing permission check in Jenkins Fortify on Demand Plugin 6.0.0 and earlier in form-related methods allowed users with Overall/Read access to enumerate credentials ID of credentials stored in Jenkins.
15-07-2020 - 15:10 02-07-2020 - 15:15
CVE-2020-2201 3.5
Jenkins Sonargraph Integration Plugin 3.0.0 and earlier does not escape the file path for the Log file field form validation, resulting in a stored cross-site scripting vulnerability.
09-07-2020 - 13:53 02-07-2020 - 15:15
CVE-2020-2206 4.3
Jenkins VncRecorder Plugin 1.25 and earlier does not escape a parameter value in the checkVncServ form validation endpoint, resulting in a reflected cross-site scripting (XSS) vulnerability.
09-07-2020 - 13:17 02-07-2020 - 15:15
CVE-2020-2209 4.0
Jenkins TestComplete support Plugin 2.4.1 and earlier stores a password unencrypted in job config.xml files on the Jenkins master where it can be viewed by users with Extended Read permission, or access to the master file system.
09-07-2020 - 13:15 02-07-2020 - 15:15
CVE-2020-2210 4.3
Jenkins Stash Branch Parameter Plugin 0.3.0 and earlier transmits configured passwords in plain text as part of its global Jenkins configuration form, potentially resulting in their exposure.
08-07-2020 - 20:21 02-07-2020 - 15:15
CVE-2020-2218 2.1
Jenkins HP ALM Quality Center Plugin 1.6 and earlier stores a password unencrypted in its global configuration file on the Jenkins master where it can be viewed by users with access to the master file system.
08-07-2020 - 20:20 02-07-2020 - 15:15
CVE-2020-2212 4.0
Jenkins GitHub Coverage Reporter Plugin 1.8 and earlier stores secrets unencrypted in its global configuration file on the Jenkins master where they can be viewed by users with access to the master file system or read permissions on the system config
08-07-2020 - 20:09 02-07-2020 - 15:15
CVE-2020-2213 4.0
Jenkins White Source Plugin 19.1.1 and earlier stores credentials unencrypted in its global configuration file and in job config.xml files on the Jenkins master where they can be viewed by users with Extended Read permission (config.xml), or access t
08-07-2020 - 20:08 02-07-2020 - 15:15
CVE-2020-2214 3.5
Jenkins ZAP Pipeline Plugin 1.9 and earlier programmatically disables Content-Security-Policy protection for user-generated content in workspaces, archived artifacts, etc. that Jenkins offers for download.
08-07-2020 - 19:57 02-07-2020 - 15:15
CVE-2020-2215 4.3
A cross-site request forgery vulnerability in Jenkins Zephyr for JIRA Test Management Plugin 1.5 and earlier allows attackers to connect to an attacker-specified HTTP server using attacker-specified username and password.
07-07-2020 - 20:24 02-07-2020 - 15:15
CVE-2020-2217 4.3
Jenkins Compatibility Action Storage Plugin 1.0 and earlier does not escape the content coming from the MongoDB in the testConnection form validation endpoint, resulting in a reflected cross-site scripting (XSS) vulnerability.
07-07-2020 - 18:58 02-07-2020 - 15:15
CVE-2020-2205 3.5
Jenkins VncRecorder Plugin 1.25 and earlier does not escape a tool path in the `checkVncServ` form validation endpoint, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by Jenkins administrators.
06-07-2020 - 21:17 02-07-2020 - 15:15
CVE-2020-2207 4.3
Jenkins VncViewer Plugin 1.7 and earlier does not escape a parameter value in the checkVncServ form validation endpoint, resulting in a reflected cross-site scripting (XSS) vulnerability.
06-07-2020 - 20:53 02-07-2020 - 15:15
CVE-2020-2211 6.5
Jenkins ElasticBox Jenkins Kubernetes CI/CD Plugin 1.3 and earlier does not configure its YAML parser to prevent the instantiation of arbitrary types, resulting in a remote code execution vulnerability.
06-07-2020 - 19:58 02-07-2020 - 15:15
CVE-2020-2219 3.5
Jenkins Link Column Plugin 1.0 and earlier does not filter URLs of links created by users with View/Configure permission, resulting in a stored cross-site scripting vulnerability.
06-07-2020 - 19:09 02-07-2020 - 15:15
Back to Top Mark selected
Back to Top